function onTalk()
	local location = ""
	if arguments and type(arguments) == 'string' then
		location = arguments
	end
	disableMovement()
	choiceDialog({
	{
		"Violet_HardlistGyms_Close",
		onChosen = function ()
				closeChoiceDialog()
		end
	},
	{
		"Violet_HardlistGyms_Hub",
		onChosen = function ()
				teleport(2000, 300, "GymHub")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Other_loc_0",
		requires =
		function ()
			if location == "Other_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-810, -1300, "Other")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Other_loc_1",
		requires =
		function ()
			if location == "Other_1" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-490, -1300, "Other")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Other_loc_2",
		requires =
		function ()
			if location == "Other_2" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-350, -1370, "Other")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Other_loc_3",
		requires =
		function ()
			if location == "Other_3" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(590, -1380, "Other2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusTwoGym_Other_loc_4",
		requires =
		function ()
			if location == "Other_4" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(970, -1380, "Other3")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
